Bug 910533 - (ktuberling) Review Request: ktuberling - Picture game for children
Review Request: ktuberling - Picture game for children
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: nucleo
Fedora Extras Quality Assurance
:
Depends On: libkdegames
Blocks: kde-reviews kde-4.10
  Show dependency treegraph
 
Reported: 2013-02-12 14:23 EST by Rex Dieter
Modified: 2013-02-16 15:17 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-16 15:17:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
alekcejk: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2013-02-12 14:23:13 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/kdegames/ktuberling.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdegames/ktuberling-4.10.0-1.fc18.src.rpm
Description: A simple constructor game
Fedora Account System Username: rdieter
Comment 1 Rex Dieter 2013-02-15 10:09:37 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/kdegames/ktuberling.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdegames/ktuberling-4.10.0-2.fc18.src.rpm
Description: 
KTuberling a simple constructor game suitable for children and adults
alike. The idea of the game is based around a once popular doll making
concept. A potato was decorated with various small artifacts to make it
look more like a tiny person. KTuberling however, goes much further in
terms of content and adds a surprising variety of different themes.

%changelog
* Fri Feb 15 2013 Rex Dieter <rdieter@fedoraproject.org> 4.10.0-2
- update license, description
Comment 2 nucleo 2013-02-16 14:07:20 EST
Maybe better summary from desktop file: Picture game for children

Add in %doc sounds license sounds/copyright.info (GPLv2+)
Comment 3 Rex Dieter 2013-02-16 14:23:11 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/kdegames/ktuberling.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdegames/ktuberling-4.10.0-3.fc18.src.rpm

%changelog
* Sat Feb 16 2013 Rex Dieter <rdieter@fedoraproject.org> 4.10.0-3
- update summary
- %%doc sounds/copyright.info
Comment 4 nucleo 2013-02-16 14:27:01 EST
MUST Items:
+ rpmlint output
  $ rpmlint ktuberling-4.10.0-1.fc18.i686.rpm ktuberling-debuginfo-4.10.0-1.fc18.i686.rpm ktuberling-4.10.0-3.fc18.src.rpm ktuberling.spec 
    ktuberling.i686: W: no-manual-page-for-binary ktuberling
    3 packages and 1 specfiles checked; 0 errors, 1 warnings.
+ named and versioned according to the Package Naming Guidelines.
  Package name match the upstream tarball name ktuberling-4.10.0.tar.xz
+ spec file name ktuberling.spec matches base package name
+ complies with all the legal guidelines:
  + License: GPLv2+ and GFDL, matches actual license (added notices for parts under different licenses)
  + No known patent problems
  + No emulator, no firmware, no binary-only or prebuilt components
+ COPYING (GNU GENERAL PUBLIC LICENSE Version 2), COPYING.DOC (GNU Free Documentation License Version 1.2) packaged as %doc
+ source matches upstream:
  MD5: a1d49e008308ebc9c0bbd8cee7650f0d  ktuberling-4.10.0.tar.xz
  SHA1: 82a14f5c8b4d95b02a7e430ba5340203feecdef8  ktuberling-4.10.0.tar.xz
  SHA256: 2a9ed67d049eb8d4029ae4245cb4884196d71366bc19225c4b8fd490c045dabe  ktuberling-4.10.0.tar.xz
+ builds on at least one arch
  build from mock is in F18 kde-unstable repo
+ no known non-working arches, so no ExcludeArch needed
+ no missing BuildRequires (builds in mock)
+ locales are handled properly by using %find_lang %{name} --with-kde macro
+ ldconfig call not needed (no shared libraries)
+ no duplicated system libraries
+ package not relocatable (no Prefix tag)
+ directory ownership correct (doesn't own directories owned by another package, owns all package-specific directories %{_kde4_appsdir}/%{name}/)
+ no duplicate files in %files
+ permissions correct, %defattr(-,root,root,-) not needed now, executables have executable permissions
+ macros used where possible (%{name}, %{version}, %{buildroot}, %{_target_platform}, %{cmake_kde4}, %{_kde4_datadir}, %{_kde4_bindir}, %{_kde4_iconsdir},%{_kde4_appsdir} )
+ non-code content: only permitted content, images under license that matches the code
+ no large documentation files, so no -doc package needed
+ no %doc files required at runtime
+ no header files, no -devel package needed
+ no static libraries, so no -static package needed
+ no devel symlinks which would need to be in a -devel subpackage
+ devel packages must require the base package (no -devel package)
+ no .la files
+ ktuberling.desktop file for the GUI app ktuberling present
+ desktop-file-validate is used in %check and the ktuberling.desktop file passes validation
+ all filenames are valid UTF-8
+ other packaging guidelines:
  + complies with the Filesystem Hierarchy Standard (all files in  %{_kde4_datadir}, %{_kde4_bindir}, %{_kde4_iconsdir},%{_kde4_appsdir})
  + proper changelog, tags, BuildRequires, Summary, Description (got from ktuberling's documentation)
  + no non-UTF-8 characters
  + all relevant documentation included as %doc (COPYING, COPYING.DOC)
  + RPM_OPT_FLAGS are used in %{cmake_kde4} macro
  + debuginfo package is valid (contains stripped symbols from ELF binary and source code related to it)
  + no rpaths (no check-rpaths error)
  + no configuration files, so %config guideline doesn't apply
  + no init scripts, so init script guideline doesn't apply
  + timestamps are preserved
  + %{?_smp_mflags} used
  + not a web application, so web application guideline doesn't apply
  + no conflicts (kdegames-4.10.0 is metapackage now which not includes apps)

SHOULD Items:
+ license already included upstream
+ no translations for description and summary provided by upstream
+ package builds in mock (built for kde-unstable)
- successfully tested the package functionality (no testing yet)
+ scriptlets are sane (updating hicolor icon chache in %post, %postun, %posttrans)
+ subpackages other than devel should require the base package using a fully versioned dependency (no subpackages)
+ no .pc files, so "placement of .pc files" is irrelevant
+ no file dependencies
- package should contain man pages for binaries/scripts

APPROVED
Comment 5 Rex Dieter 2013-02-16 14:31:24 EST
New Package SCM Request
=======================
Package Name: ktuberling
Short Description: Picture game for children
Owners: than rdieter jreznik kkofler ltinkl rnovacek
Branches: f17 f18
InitialCC:
Comment 6 Jon Ciesla 2013-02-16 14:41:19 EST
Git done (by process-git-requests).
Comment 7 Rex Dieter 2013-02-16 15:17:11 EST
thanks, imported

Note You need to log in before you can comment on or make changes to this bug.